






.flying-menu{
	position: fixed;
	right: 0;
	top: 190px;
	border-radius: 20px 0px 0px 20px;
	box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.15);
	/* filter: drop-shadow(0px 3px 2px var(--main-dark-color)); */ /* zum beispiel */
	background-color: var(--main-color); /* for sliker corners */
	overflow: hidden;
	z-index: 2;
}
.flying-menu .bx-basket{}
.flying-menu__list{
	display: flex;
	flex-direction: column;
}
.flying-menu__item{}
.flying-menu__item.flying-menu__item_active{}
.flying-menu__item.flying-menu__item_menu{
	display: none;
}
.flying-menu__item.flying-menu__item_catalog{
	display: none;
}
.flying-menu__item.flying-menu__item_cart{}
.flying-menu__item.flying-menu__item_fav{}
.flying-menu__item.flying-menu__item_account{}
.flying-menu__item:not(:last-child){
	border-bottom: 1px solid var(--main-dark-color);
}
.flying-menu__link{
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 75px;
	height: 75px;
	background-color: var(--main-color);
	color: var(--main-white-color);
	transition: var(--main-transition);
}
.flying-menu__link:hover,
.flying-menu__link:focus{
	background-color: var(--main-dark-color);
	color: var(--main-white-color);
}
.flying-menu__item.flying-menu__item_active .flying-menu__link{
	background-color: var(--main-dark-color);
}
.flying-menu__item.flying-menu__item_cart .flying-menu__link{
	border-radius: 20px 0 0 0; /* preventing cursor pointer on empty rounded corners */
}
.flying-menu__item.flying-menu__item_account .flying-menu__link{
	border-radius: 0 0 0 20px; /* preventing cursor pointer on empty rounded corners */
}
.flying-menu__icon{
	line-height: 0;
}
.flying-menu__icon-img{
	fill: var(--main-white-color);
	stroke: var(--main-white-color);
	stroke-width: 0;
	transition: var(--main-transition);
}
.flying-menu__link:hover .flying-menu__icon-img,
.flying-menu__link:focus .flying-menu__icon-img{
	filter: drop-shadow(1px 2px 2px var(--main-black-color));
}
.flying-menu__item.flying-menu__item_active .flying-menu__icon-img{
	filter: drop-shadow(1px 2px 2px var(--main-black-color));
}
.flying-menu__icon-path{}
.flying-menu__link-text{
	display: none;
	padding: 7px 0 0 0;
	font-size: 10px;
	line-height: 12px;
}
.flying-menu__cart-count{
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	left: 60%;
	bottom: 50%;
	border-radius: 50%;
	width: 16px;
	height: 16px;
	background-color: var(--secondary-color);
	font-weight: 500;
	font-size: 10px;
	line-height: 12px;
	color: var(--main-white-color);
}
.flying-menu__favor-count {
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	left: 60%;
	bottom: 50%;
	border-radius: 50%;
	width: 16px;
	height: 16px;
	background-color: var(--secondary-color);
	font-weight: 500;
	font-size: 10px;
	line-height: 12px;
	color: var(--main-white-color);
}
@media only screen and (max-width: 767px){
	.flying-menu{
		top: auto;
		bottom: 0;
		width: 100%;
		border-radius: 0;
		z-index: 5;
	}
	.flying-menu__list{
		flex-direction: row;
		border-top: 1px solid var(--main-dark-color);
	}
	.flying-menu__item{
		width: 100%;
	}
	.flying-menu__item.flying-menu__item_menu{
		display: block;
	}
	.flying-menu__item.flying-menu__item_catalog{
		display: block;
	}
	.flying-menu__item:not(:last-child){
		border-bottom: none;
	}
	.flying-menu__link{
		width: 100%;
		height: 55px;
	}
	.flying-menu__item.flying-menu__item_cart .flying-menu__link{
		border-radius: 0;
	}
	.flying-menu__item.flying-menu__item_account .flying-menu__link{
		border-radius: 0;
	}
	.flying-menu__link-text{
		display: block;
	}
	.flying-menu__cart-count{
		bottom: 60%;
	}
}


















